<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: util/ipol.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_81f17f03227d7067ce13f3651b0bf66b.html">util</a>
  </div>
</div>
<div class="contents">
<h1>ipol.c File Reference</h1><code>#include &quot;<a class="el" href="util_8h_source.html">util.h</a>&quot;</code><br/>
<div class="dynheader">
Include dependency graph for ipol.c:</div>
<div class="dynsection">
<div class="center"><img src="ipol_8c__incl.png" border="0" usemap="#util_2ipol_8c_map" alt=""/></div>
<map name="util_2ipol_8c_map" id="util_2ipol_8c">
<area shape="rect" id="node3" href="util_8h.html" title="util.h" alt="" coords="176,86,227,117"/><area shape="rect" id="node5" href="griddata_8h.html" title="griddata.h" alt="" coords="163,166,240,197"/></map>
</div>

<p><a href="ipol_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ipol_8c.html#a624dbcb8b6ccc24c9bf891c174f60b6d">MAXLINELEN</a>&nbsp;&nbsp;&nbsp;100000</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ipol_8c.html#a6ee2a24c96c226b833b53dd49d8a25d7">HTCOL</a>&nbsp;&nbsp;&nbsp;3</td></tr>
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ipol_8c.html#a7c6add33a29c7ae759615a08798ee75d">readht</a> (FILE *fd, PetscReal **indata, const int col)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">PetscReal&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ipol_8c.html#a3e2699b016b84132ec08d3795b951dd9">getscalf</a> (PetscReal xydata[], PetscReal xval)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ipol_8c.html#a66bd89f21bd6d58d24a7b7d7da8b5841">readxy</a> (FILE *fd, const int colx, const int coly, int *n_rows, PetscReal **indata)</td></tr>
</table>
<hr/><h2>Define Documentation</h2>
<a class="anchor" id="a6ee2a24c96c226b833b53dd49d8a25d7"></a><!-- doxytag: member="ipol.c::HTCOL" ref="a6ee2a24c96c226b833b53dd49d8a25d7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define HTCOL&nbsp;&nbsp;&nbsp;3</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="ipol_8c_source.html#l00030">30</a> of file <a class="el" href="ipol_8c_source.html">ipol.c</a>.</p>

<p>Referenced by <a class="el" href="ipol_8c_source.html#l00159">getscalf()</a>, and <a class="el" href="ipol_8c_source.html#l00055">readht()</a>.</p>

</div>
</div>
<a class="anchor" id="a624dbcb8b6ccc24c9bf891c174f60b6d"></a><!-- doxytag: member="ipol.c::MAXLINELEN" ref="a624dbcb8b6ccc24c9bf891c174f60b6d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define MAXLINELEN&nbsp;&nbsp;&nbsp;100000</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="ipol_8c_source.html#l00029">29</a> of file <a class="el" href="ipol_8c_source.html">ipol.c</a>.</p>

<p>Referenced by <a class="el" href="ipol_8c_source.html#l00055">readht()</a>, and <a class="el" href="ipol_8c_source.html#l00173">readxy()</a>.</p>

</div>
</div>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="a3e2699b016b84132ec08d3795b951dd9"></a><!-- doxytag: member="ipol.c::getscalf" ref="a3e2699b016b84132ec08d3795b951dd9" args="(PetscReal xydata[], PetscReal xval)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PetscReal getscalf </td>
          <td>(</td>
          <td class="paramtype">PetscReal&nbsp;</td>
          <td class="paramname"> <em>xydata</em>[], </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal&nbsp;</td>
          <td class="paramname"> <em>xval</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="ipol_8c_source.html#l00159">159</a> of file <a class="el" href="ipol_8c_source.html">ipol.c</a>.</p>

<p>References <a class="el" href="ipol_8c_source.html#l00030">HTCOL</a>.</p>

<p>Referenced by <a class="el" href="hext__ho_8c_source.html#l00387">Hext_ho()</a>.</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="ipol_8c_a3e2699b016b84132ec08d3795b951dd9_icgraph.png" border="0" usemap="#ipol_8c_a3e2699b016b84132ec08d3795b951dd9_icgraph_map" alt=""></div>
<map name="ipol_8c_a3e2699b016b84132ec08d3795b951dd9_icgraph_map" id="ipol_8c_a3e2699b016b84132ec08d3795b951dd9_icgraph">
<area shape="rect" id="node3" href="hext__ho_8c.html#aeb00096e7649b4910f8fa67dc6f27401" title="Hext_ho" alt="" coords="124,249,193,279"/><area shape="rect" id="node5" href="hexternal_8c.html#aeaf153862ea87b88e30bee559bf1d481" title="Hexternal" alt="" coords="243,249,320,279"/><area shape="rect" id="node7" href="htot_8c.html#ab9d30ce64708afeca163280386deb654" title="Htot" alt="" coords="369,210,415,241"/><area shape="rect" id="node42" href="htot_8c.html#a270a74fb6c65379e026cfb5c4de11443" title="Htot_Gradient" alt="" coords="465,301,567,331"/><area shape="rect" id="node9" href="llg_8h.html#aa814b25d7c7a65198ca75426fb6d7403" title="calc_dMdt" alt="" coords="475,118,557,149"/><area shape="rect" id="node13" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="1333,197,1392,227"/><area shape="rect" id="node38" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="1177,90,1263,121"/><area shape="rect" id="node48" href="precond_8c.html#a8cdc0d7af89d96e9d57fc6c0f791331f" title="Precond" alt="" coords="481,197,551,227"/><area shape="rect" id="node11" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="1156,143,1284,174"/><area shape="rect" id="node20" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="645,146,723,177"/><area shape="rect" id="node25" href="rhsfunction_8c.html#a5e964b5572e1640d9a793c353f6a28f6" title="RHSfunction" alt="" coords="637,93,731,123"/><area shape="rect" id="node17" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="1336,143,1389,174"/><area shape="rect" id="node15" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="1440,170,1491,201"/><area shape="rect" id="node22" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="801,301,927,331"/><area shape="rect" id="node27" href="mytscreatepvode_8c.html#a56b55de0386618edfef4220e5b7b078a" title="PVodeInit" alt="" coords="825,197,903,227"/><area shape="rect" id="node32" href="mytscreatepvode_8c.html#a4ca0e9d74cde3d8e01ad9701426444da" title="PVodeReInit" alt="" coords="817,93,911,123"/><area shape="rect" id="node29" href="mytscreatepvode_8c.html#a9671ea286af405e584ae7468a0ce15b3" title="myTSCreatePVode" alt="" coords="976,197,1107,227"/><area shape="rect" id="node34" href="checkiterationllg_8c.html#a4ff7d0e1586041652124b1189f59b881" title="adjtol" alt="" coords="1015,93,1068,123"/><area shape="rect" id="node44" href="eminisolve_8c.html#afdcb9097ab9ba289da2189a2ce6b9385" title="TaoEvalEnergyGrad" alt="" coords="616,301,752,331"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a7c6add33a29c7ae759615a08798ee75d"></a><!-- doxytag: member="ipol.c::readht" ref="a7c6add33a29c7ae759615a08798ee75d" args="(FILE *fd, PetscReal **indata, const int col)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int readht </td>
          <td>(</td>
          <td class="paramtype">FILE *&nbsp;</td>
          <td class="paramname"> <em>fd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal **&nbsp;</td>
          <td class="paramname"> <em>indata</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const int&nbsp;</td>
          <td class="paramname"> <em>col</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="ipol_8c_source.html#l00055">55</a> of file <a class="el" href="ipol_8c_source.html">ipol.c</a>.</p>

<p>References <a class="el" href="ipol_8c_source.html#l00030">HTCOL</a>, <a class="el" href="griddata_8h_source.html#l00075">MagparFunctionLogBegin</a>, <a class="el" href="griddata_8h_source.html#l00076">MagparFunctionLogReturn</a>, and <a class="el" href="ipol_8c_source.html#l00029">MAXLINELEN</a>.</p>

<p>Referenced by <a class="el" href="hext__ho_8c_source.html#l00130">Hext_ho_ht_Init()</a>.</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="ipol_8c_a7c6add33a29c7ae759615a08798ee75d_icgraph.png" border="0" usemap="#ipol_8c_a7c6add33a29c7ae759615a08798ee75d_icgraph_map" alt=""></div>
<map name="ipol_8c_a7c6add33a29c7ae759615a08798ee75d_icgraph_map" id="ipol_8c_a7c6add33a29c7ae759615a08798ee75d_icgraph">
<area shape="rect" id="node3" href="hext__ho_8c.html#ad61d58b7779a7d182a09c9becae36af1" title="Hext_ho_ht_Init" alt="" coords="113,249,225,279"/><area shape="rect" id="node5" href="hext__ho_8c.html#aa7f4b51477b5dcd5afd1f4b73ffde571" title="Hext_ho_Init" alt="" coords="276,249,369,279"/><area shape="rect" id="node7" href="hext__ho_8c.html#aeb00096e7649b4910f8fa67dc6f27401" title="Hext_ho" alt="" coords="420,249,489,279"/><area shape="rect" id="node9" href="hexternal_8c.html#aeaf153862ea87b88e30bee559bf1d481" title="Hexternal" alt="" coords="539,249,616,279"/><area shape="rect" id="node11" href="htot_8c.html#ab9d30ce64708afeca163280386deb654" title="Htot" alt="" coords="665,210,711,241"/><area shape="rect" id="node46" href="htot_8c.html#a270a74fb6c65379e026cfb5c4de11443" title="Htot_Gradient" alt="" coords="761,301,863,331"/><area shape="rect" id="node13" href="llg_8h.html#aa814b25d7c7a65198ca75426fb6d7403" title="calc_dMdt" alt="" coords="771,118,853,149"/><area shape="rect" id="node17" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="1629,197,1688,227"/><area shape="rect" id="node42" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="1473,90,1559,121"/><area shape="rect" id="node52" href="precond_8c.html#a8cdc0d7af89d96e9d57fc6c0f791331f" title="Precond" alt="" coords="777,197,847,227"/><area shape="rect" id="node15" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="1452,143,1580,174"/><area shape="rect" id="node24" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="941,146,1019,177"/><area shape="rect" id="node29" href="rhsfunction_8c.html#a5e964b5572e1640d9a793c353f6a28f6" title="RHSfunction" alt="" coords="933,93,1027,123"/><area shape="rect" id="node21" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="1632,143,1685,174"/><area shape="rect" id="node19" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="1736,170,1787,201"/><area shape="rect" id="node26" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="1097,301,1223,331"/><area shape="rect" id="node31" href="mytscreatepvode_8c.html#a56b55de0386618edfef4220e5b7b078a" title="PVodeInit" alt="" coords="1121,197,1199,227"/><area shape="rect" id="node36" href="mytscreatepvode_8c.html#a4ca0e9d74cde3d8e01ad9701426444da" title="PVodeReInit" alt="" coords="1113,93,1207,123"/><area shape="rect" id="node33" href="mytscreatepvode_8c.html#a9671ea286af405e584ae7468a0ce15b3" title="myTSCreatePVode" alt="" coords="1272,197,1403,227"/><area shape="rect" id="node38" href="checkiterationllg_8c.html#a4ff7d0e1586041652124b1189f59b881" title="adjtol" alt="" coords="1311,93,1364,123"/><area shape="rect" id="node48" href="eminisolve_8c.html#afdcb9097ab9ba289da2189a2ce6b9385" title="TaoEvalEnergyGrad" alt="" coords="912,301,1048,331"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a66bd89f21bd6d58d24a7b7d7da8b5841"></a><!-- doxytag: member="ipol.c::readxy" ref="a66bd89f21bd6d58d24a7b7d7da8b5841" args="(FILE *fd, const int colx, const int coly, int *n_rows, PetscReal **indata)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int readxy </td>
          <td>(</td>
          <td class="paramtype">FILE *&nbsp;</td>
          <td class="paramname"> <em>fd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const int&nbsp;</td>
          <td class="paramname"> <em>colx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const int&nbsp;</td>
          <td class="paramname"> <em>coly</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int *&nbsp;</td>
          <td class="paramname"> <em>n_rows</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal **&nbsp;</td>
          <td class="paramname"> <em>indata</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="ipol_8c_source.html#l00173">173</a> of file <a class="el" href="ipol_8c_source.html">ipol.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00075">MagparFunctionLogBegin</a>, <a class="el" href="griddata_8h_source.html#l00076">MagparFunctionLogReturn</a>, and <a class="el" href="ipol_8c_source.html#l00029">MAXLINELEN</a>.</p>

</div>
</div>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

